var svg = d3.select("svg"),
    width = +svg.attr("width"),
    height = +svg.attr("height");

var treemap = d3.treemap()
    .tile(d3.treemapSliceDice)
    .size([width, height])
    .round(true)
    .paddingInner(1);

d3.json("data.json", function(error, data) {
  if (error) throw error;

  var root = d3.hierarchy(data)
      .sum(function(d) { return d.size; });
  
  treemap(root);

  var cell = svg.selectAll("g")
    .data(root.leaves())
    .enter().append("g")
      .attr("transform", function(d) { return "translate(" + d.x0 + "," + d.y0 + ")"; });

  cell.append("rect")
      .attr("id", function(d) { return d.data.id; })
      .attr("width", function(d) { return d.x1 - d.x0; })
      .attr("height", function(d) { return d.y1 - d.y0; });
});